.card-container {
  display: flex;
  justify-content: center;
  margin: 0;
}

.card {
  width: 350px;
  margin: 20px;
  background-color: white;
  box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.5);
}

.card:hover .card-caption {
  top: 50%;
  transform: translateY(-50%);
}

.card:hover .card-image {
  transform: translateY(-10px);
}

.card:hover .card-thumb::after {
  top: 0;
}

.card:hover .card-snippet {
  margin: 20px 0;
}

.card-thumb {
  position: relative;
  max-height: 400px;
  overflow: hidden;
}

.card-thumb::after {
  position: absolute;
  top: 0;
  display: block;
  content: '';
  width: 100%;
  height: 100%;
  background: linear-gradient(
    0deg,
    rgba(0, 0, 0, 0.5) 40%,
    rgba(255, 255, 255, 0) 100%
  );
  transition: 0.3s;
}

.card-image {
  transition: 0.5s ease-in-out;
}

.card-caption {
  width: 100%;
  position: absolute;
  top: 50%;
  z-index: 1;
  padding: 20px 20px;
  color: white;
  transform: translateY(-50%);
  text-align: center;
  transition: 0.3s;
}

.card-title {
  display: -webkit-box;
  max-height: 85px;
  overflow: hidden;
  font-family: 'Playfair Display', serif;
  font-size: 23px;
  line-height: 28px;
  text-shadow: 0px 1px 5px black;
  text-overflow: ellipsis;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

.card-snippet {
  display: -webkit-box;
  max-height: 150px;
  margin: 20px 0;
  overflow: hidden;
  font-family: 'Roboto', sans-serif;
  font-size: 16px;
  line-height: 20px;
  text-overflow: ellipsis;
  transition: 0.5s ease-in-out;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
}

.card-button {
  display: inline-block;
  padding: 10px 20px;
  color: white;
  border: 1px solid white;
  font-family: 'Roboto', sans-serif;
  font-size: 12px;
  text-transform: uppercase;
  text-decoration: none;
  transition: 0.3s;
}

.card-button:hover {
  color: black;
  background-color: white;
}

@media (min-width: 1024px) {
  .card-thumb {
    max-height: 500px;
  }

  .card-thumb::after {
    top: calc(100% - 140px);
  }

  .card-caption {
    top: calc(100% - 110px);
    transform: unset;
  }

  .card-snippet {
    margin: 60px 0;
  }
}
